Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class InvalidArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.collab.util.NestedRuntimeException
                      com.compoze.collab.CollaborationRuntimeException
                          com.compoze.collab.InvalidArgumentException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidArgumentException
extends CollaborationRuntimeException

Exceptions of this class are thrown when a method argument has an invalid value.

See Also:
  Serialized Form

Constructor Summary
`InvalidArgumentException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs an InvalidArgumentException.
`InvalidArgumentException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.lang.Object param)` Constructs an InvalidArgumentException.
`InvalidArgumentException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs an InvalidArgumentException.
`InvalidArgumentException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.lang.Object param)` Constructs an InvalidArgumentException.

Methods inherited from class com.compoze.collab.CollaborationRuntimeException
`getAdminMessage, getAdminResolution, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedRuntimeException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidArgumentException

    public InvalidArgumentException(com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs an InvalidArgumentException.

Parameters:
  `ctx` - session context
  `baseKey` - message base key

### InvalidArgumentException

    public InvalidArgumentException(com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                    java.lang.Object param)

  Constructs an InvalidArgumentException.

Parameters:
  `ctx` - session context
  `baseKey` - message base key
  `param` - message parameter

### InvalidArgumentException

    public InvalidArgumentException(java.lang.Throwable t,
                                    com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs an InvalidArgumentException.

Parameters:
  `t` - the underlying exception
  `ctx` - session context
  `baseKey` - message base key

### InvalidArgumentException

    public InvalidArgumentException(java.lang.Throwable t,
                                    com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                    java.lang.Object param)

  Constructs an InvalidArgumentException.

Parameters:
  `t` - the underlying exception
  `ctx` - session context
  `baseKey` - message base key
  `param` - message parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.